## SW282816.zip

=== CMakeLists.txt ===
# CMakeLists files in this project can
# refer to the root source directory of the project as ${NEARD_EXPLORENFC_SOURCE_DIR} and
# to the root binary directory of the project as ${NEARD_EXPLORENFC_BINARY_DIR}.
cmake_minimum_required (VERSION 2.8.11)

include(ExternalProject)
include(FindPkgConfig)
include(GNUInstallDirs)

project ( NEARD_EXPLORENFC )
set( PROJECT_VERSION 1.0 )

ExternalProject_Add (NXPRDLIBLINUX
SOURCE_DIR ${NEARD_EXPLORENFC_SOURCE_DIR}/nxprdlib-linux
PREFIX ${NEARD_EXPLORENFC_BINARY_DIR}/nxprdlib-linux
INSTALL_DIR ${NEARD_EXPLORENFC_BINARY_DIR}/nxprdlib-linux
CMAKE_ARGS -DCMAKE_INSTALL_PREFIX=${NEARD_EXPLORENFC_BINARY_DIR}/nxprdlib-linux
)
set(NXPRDLIBLINUX_SOURCE_DIR ${NEARD_EXPLORENFC_SOURCE_DIR}/nxprdlib-linux)
set(NXPRDLIBLINUX_LIB_DIR ${NEARD_EXPLORENFC_BINARY_DIR}/nxprdlib-linux/lib/static)

pkg_check_modules (GLIB glib-2.0>=2.40)
pkg_check_modules(GTHREAD gthread-2.0>=2.40)
pkg_check_modules(GIO gio-2.0>=2.40)
pkg_check_modules(GIOUNIX gio-unix-2.0>=2.40)
pkg_check_modules(NEARDAL neardal)

include_directories(${CMAKE_CURRENT_BINARY_DIR})
configure_file(config.h.in config.h)

set(INSTALL_CONFIG_DIR ${CMAKE_INSTALL_FULL_SYSCONFDIR}/neard-explorenfc/)

set(G_CFLAGS ${GLIB_CFLAGS} ${GTHREAD_CFLAGS} ${GIO_CFLAGS} ${GIOUNIX_CFLAGS})
set(G_LDFLAGS ${GLIB_LDFLAGS} ${GTHREAD_LDFLAGS} ${GIO_LDFLAGS} ${GIOUNIX_LDFLAGS})
add_subdirectory (src)
add_subdirectory (examples)
add_subdirectory (scripts)

=== examples/CMakeLists.txt ===
set( includes
  ${NEARD_EXPLORENFC_SOURCE_DIR}
)

set( definitions 
-DCONFIGDIR="${INSTALL_CONFIG_DIR}"
)

add_executable(explorenfc-basic basic.c)
target_link_libraries (explorenfc-basic LINK_PUBLIC ${G_LDFLAGS} ${NEARDAL_LDFLAGS})
target_include_directories(explorenfc-basic PUBLIC ${includes})
target_compile_definitions(explorenfc-basic PUBLIC ${definitions})

add_executable(explorenfc-browser browser.c)
target_link_libraries (explorenfc-browser LINK_PUBLIC ${G_LDFLAGS} ${NEARDAL_LDFLAGS})
target_include_directories(explorenfc-browser PUBLIC ${includes})
target_compile_definitions(explorenfc-browser PUBLIC ${definitions})

add_executable(explorenfc-wifi-connect wifi-connect.c wifi-connect-wsc-parser.c wifi-connect-dbus-gen.c)
target_link_libraries (explorenfc-wifi-connect LINK_PUBLIC ${G_LDFLAGS} ${NEARDAL_LDFLAGS})
target_include_directories(explorenfc-wifi-connect PUBLIC ${includes})
target_compile_definitions(explorenfc-wifi-connect PUBLIC ${definitions})

add_definitions(-std=gnu99 ${G_CFLAGS} ${NEARDAL_CFLAGS})

install(TARGETS explorenfc-basic explorenfc-browser explorenfc-wifi-connect
        RUNTIME DESTINATION bin
        LIBRARY DESTINATION lib
        ARCHIVE DESTINATION lib/static)

=== scripts/CMakeLists.txt ===
configure_file(neard-explorenfc.init.in neard-explorenfc.init)
configure_file(neard-explorenfc.conf.in neard-explorenfc.conf)
configure_file(main.conf.in main.conf)

install(FILES ${NEARD_EXPLORENFC_BINARY_DIR}/scripts/neard-explorenfc.conf
        DESTINATION ${CMAKE_INSTALL_SYSCONFDIR}/dbus-1/system.d/)
install(FILES ${NEARD_EXPLORENFC_BINARY_DIR}/scripts/main.conf
        DESTINATION ${INSTALL_CONFIG_DIR})
install(FILES ${NEARD_EXPLORENFC_BINARY_DIR}/scripts/neard-explorenfc.init
        DESTINATION ${CMAKE_INSTALL_DATADIR}/neard-explorenfc/ RENAME explorenfcd)

=== src/CMakeLists.txt ===
set( sources 
main.c 
dbus-daemon.c 
hal.c 
hal_tag.c 
hal_device.c 
adapter.c 
tag.c 
device.c 
record-container.c 
record.c 
ndef.c 
handover-agent.c 
generated-code.c
)

set( includes
  ${NEARD_EXPLORENFC_SOURCE_DIR}
  ${NXPRDLIBLINUX_SOURCE_DIR}/nxprdlib/NxpRdLib/intfs
  ${NXPRDLIBLINUX_SOURCE_DIR}/nxprdlib/NxpRdLib/types
  ${NXPRDLIBLINUX_SOURCE_DIR}/nxprdlib/NxpRdLib
  ${NXPRDLIBLINUX_SOURCE_DIR}/linux/intfs
  ${NXPRDLIBLINUX_SOURCE_DIR}/linux/comps/phbalReg/src/Linux
  ${NXPRDLIBLINUX_SOURCE_DIR}/linux/shared
)

set( definitions -D NXPBUILD_CUSTOMER_HEADER_INCLUDED -D DEBUG -D NATIVE_C_CODE -D LINUX 
-DCONFIGDIR="${INSTALL_CONFIG_DIR}"
-D NXPBUILD__PHHAL_HW_RC523
)
link_directories(${NXPRDLIBLINUX_LIB_DIR})

add_executable(explorenfcd  ${sources})

target_compile_options(explorenfcd PUBLIC "-pthread")
target_link_libraries (explorenfcd LINK_PUBLIC ${G_LDFLAGS} NxpRdLibLinuxPN512 rt ${CMAKE_THREAD_LIBS_INIT} pthread)
target_include_directories(explorenfcd PUBLIC ${includes})
target_compile_definitions(explorenfcd PUBLIC ${definitions})

add_definitions(-std=gnu99 -pthread ${G_CFLAGS})

install(TARGETS explorenfcd
        RUNTIME DESTINATION bin
        LIBRARY DESTINATION lib
        ARCHIVE DESTINATION lib/static)

=== changelog ===
neard-explorenfc (1.2-1) unstable; urgency=low

  * Fixes for T4T writing

 -- Donatien Garnier (AppNearMe) <donatien.garnier@appnearme.com>  Wed, 29 Jun 2016 14:50:00 +0000

=== control ===
Source: neard-explorenfc
Section: net
Priority: extra
Maintainer: Donatien Garnier <donatien.garnier@appnearme.com>
Build-Depends: debhelper (>= 8.0.0), dh-autoreconf, libglib2.0-dev, glib-networking-services, autoconf, libtool, libneardal-dev
Standards-Version: 3.9.3
Homepage: <insert the upstream URL, if relevant>
#Vcs-Git: git://git.debian.org/collab-maint/neard-explorenfc.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/neard-explorenfc.git;a=summary

Package: neard-explorenfc
Architecture: any
Pre-Depends: debconf
Depends: libglib2.0-0, libneardal0, ${shlibs:Depends}, ${misc:Depends}
Description: NFC daemon for the Raspberry Pi and NXP Explore-NFC board
 Neard-compatible NFC daemon for the Raspberry Pi and NXP Explore-NFC board

=== rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_installinit:
	cp -a debian/neard-explorenfc/usr/share/neard-explorenfc/explorenfcd debian/neard-explorenfc.init
	dh_installinit

override_dh_auto_configure:
	git submodule update --init --recursive
	cp -r ../nxprdlib nxprdlib-linux/
	dh_auto_configure -- -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_INSTALL_SYSCONFDIR=/etc -DCMAKE_VERBOSE_MAKEFILE=ON

override_dh_auto_clean:
	rm -f debian/neard-explorenfc.init
	rm -f config.log
	git submodule deinit .
	dh_auto_clean
